import { ValRegion } from "@valapi/lib";
import type { Region } from "@valapi/lib";
export declare class RiotApiRegionURL extends ValRegion {
    readonly continent: string;
    readonly url: {
        /**
         * $.api.riotgames.com
         */
        region: string;
        /**
         * $.api.riotgames.com
         */
        continent: string;
        /**
         * esports.api.riotgames.com
         */
        esports: string;
    };
    /**
     * @param region (default: na)
     */
    constructor(region?: Region.ID);
}
