"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RankedV1 = void 0;
const RiotApiService_1 = require("../client/RiotApiService");
class RankedV1 extends RiotApiService_1.RiotApiService {
    /**
     * Get leaderboard for the competitive queue
     * @param size (default: 200)
     * @param startIndex (default: 0)
     */
    leaderboardsByAct(actId, size = 200, startIndex = 0) {
        return this.request.get(`${this.regionURL.url.region}/val/ranked/v1/leaderboards/by-act/${actId}?size=${size}&startIndex=${startIndex}`);
    }
}
exports.RankedV1 = RankedV1;
