"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentV1 = void 0;
const RiotApiService_1 = require("../client/RiotApiService");
class ContentV1 extends RiotApiService_1.RiotApiService {
    /**
     * Get content optionally filtered by locale
     * @param locale (default: en-US)
     */
    contents(locale = "en-US") {
        return this.request.get(`${this.regionURL.url.region}/val/content/v1/contents?locale=${locale}`);
    }
}
exports.ContentV1 = ContentV1;
